
From: Alex Aizman <itn780@yahoo.com>

drivers/scsi/Kconfig changes.

Signed-off-by: Alex Aizman <itn780@yahoo.com>
Signed-off-by: Dmitry Yusupov <dmitry_yus@yahoo.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/Kconfig |   38 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 38 insertions(+)

diff -puN drivers/scsi/Kconfig~open-iscsi-kconfig drivers/scsi/Kconfig
--- 25/drivers/scsi/Kconfig~open-iscsi-kconfig	2005-03-07 21:56:47.000000000 -0800
+++ 25-akpm/drivers/scsi/Kconfig	2005-03-07 21:56:47.000000000 -0800
@@ -185,6 +185,44 @@ config SCSI_LOGGING
 	  there should be no noticeable performance impact as long as you have
 	  logging turned off.
 
+config ISCSI_IF
+	tristate "iSCSI Open Transport Interface"
+	depends on SCSI && INET
+	---help---
+	To compile this driver as a module, choose M here: the
+	module will be called iscsi_if.
+
+	This driver manages multiple iSCSI transports. This module is required
+	for normal iscsid operation.
+
+	See more detailed information here:
+
+ 	http://www.open-iscsi.org
+
+config ISCSI_TCP
+	tristate "iSCSI Initiator over TCP/IP"
+	depends on ISCSI_IF
+	default y
+	select CRYPTO
+	select CRYPTO_MD5
+	select CRYPTO_CRC32C
+	---help---
+	To compile this driver as a module, choose M here: the
+	module will be called iscsi_tcp.
+
+ 	The iSCSI Driver provides a host with the ability to access storage
+	through an IP network. The driver uses the iSCSI protocol to transport
+	SCSI requests and responses over a TCP/IP network between the host
+	(the "initiator") and "targets".  Architecturally, the iSCSI driver
+	combines with the host's TCP/IP stack, network drivers, and Network
+	Interface Card (NIC) to provide the same functions as a SCSI or a
+	Fibre Channel (FC) adapter driver with a Host Bus Adapter (HBA).
+
+ 	The userspace component needed to initialize the driver, documentation,
+	and sample configuration files can be found here:
+
+ 	http://www.open-iscsi.org
+
 menu "SCSI Transport Attributes"
 	depends on SCSI
 
_
